Content-type: text/html

# twoftpd-auth

Section: User Commands (1)
Index Return to Main Contents

## NAME

twoftpd-auth - TwoFTPD authentication front-end

## SYNOPSIS

twoftpd-auth cvmodule twoftpd-xfer

## DESCRIPTION

twoftpd-auth reads a username and password from the network and authenticates them using the CVM module cvmodule. If the authentication succeeds, it sets the environment variables UID, GID, HOME, and USER to the user's UID, GID, home directory, and login name respectively, and then executes twoftpd-xfer. It also sets GROUP if the CVM reports a group name, and AUTHENTICATED to 1 (twoftpd-auth and twoftpd-xfer look for this variable to determine what startup banner code to use).

## ENVIRONMENT

AUTH_ATTEMPTS
  The maximum number of authentication attempts to allow before dropping the connection.
AUTH_TIMEOUT
  The maximum number of seconds to wait for successful authentication.
LOGINBANNER
  If set, the contents of this variable will be sent as extra responses before the user logs in.
TIMEOUT
  The maximum number of seconds to wait for command input.

## SEE ALSO

twoftpd-xfer(1)

## Index

NAME
SYNOPSIS
DESCRIPTION
ENVIRONMENT
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 01:15:29 GMT, May 13, 2010